package de.fraunhofer.iem.dataprovider.git

import de.fraunhofer.iem.dataprovider.taskManager.GitTask
import de.fraunhofer.iem.dataprovider.taskManager.Task
import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import de.fraunhofer.iem.dataprovider.taskManager.TaskType
import org.springframework.stereotype.Service

@Service
class GitService(private val taskManager: TaskManager) {

    val list = listOf("https://github.com/eclipse/jgit.git", "https://github.com/secure-software-engineering/phasar", "https://github.com/secure-software-engineering/FlowDroid")

    suspend fun cloneGit() {
        println("clone git called")
        for (e in list) {
            val t = GitTask(TaskType.REPO_CHANGED, e, taskManager::addTask)
            taskManager.addTask(t)
        }
    }
}